/*
La classe consente all'utente di tirare dei rigori in una porta composta da una matrice e divisa in sei settori interni piu' nove settori
di pali e asta. La porta e' protetta da un portiere che si buttera' in uno dei settori randomicamente. Ad ogni parata il portiere aumenta 
di un punto mentre ad ogni goal l'utente sale di un punto fino ad arrivare ad un punteggio massimo scelto in precedenza dall'utente.
@authors: Matteo Forni & Bryan Beffa
@version: 16.05.2017
*/

import java.io.*;

public class PenaltyGame {

	//situazione iniziale tutorial tiratore
	public static String[][] tutorialCalciatore(){
		aCapo(200);

		//disegno la porta e il calciatore
		String [][] porta = new String[4][5];
		for (int i=0; i<porta.length; i++) {
			for (int j=0; j<porta[i].length; j++) {
				porta[i][j] = "        ";
			}
			System.out.println("");
		}

		//creo la traversa
		porta[0][0] = "\u2554"; // incrocio sinistro
		porta[0][4] = "\u2557"; // incrocio destro 

		//disegno portiere
		porta[1][2] = "   O    ";
		porta[2][2] = "  -|-   ";
		porta[3][2] = "  / \\   ";

		//crea parte orizzontale della traversa
		for (int i=1; i<4; i++) {
			porta[0][i] = "\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550";
		}

		//creo palo sinistro
		for (int i=1; i<4 ;i++ ) {
			porta[i][0] = "\u2551";
		}

		//creo palo destro
		for (int i=1; i<4 ;i++ ) {
			porta[i][4] = "\u2551";
		}

		return porta;
	}

	//stampa il calciatore
	public static void printPlayer(){
		System.out.println("     O");
		System.out.println("    -|- ");
		System.out.println("    / \\ ");
	}

	//stampa il goal
	public static void tiroTutorial(String [][] porta){
		//cancello portiere
		porta[1][2] = "        ";
		porta[2][2] = "        ";
		porta[3][2] = "        ";

		porta[1][1] = "   O    ";
		porta[2][1] = "  -|-   ";
		porta[3][1] = "  / \\   ";

		//disegno palla nell'incrocio
		porta[1][3] = "  \u26BD     ";

	}

	//stampa la parata
	public static void parataTutorial(String [][] porta){
		//cancello portiere
		porta[1][2] = "        ";
		porta[2][2] = "        ";
		porta[3][2] = "        ";

		porta[1][3] = "   O    ";
		porta[2][3] = "  -|-   ";
		porta[3][3] = "  / \\   ";

		//disegno palla nell'incrocio
		porta[1][3] = "  \u26BD     ";

	}

	//metodo che dice se è goal
	public static int isGoal(int[] coordinate, int[] coordinatePortiere){
		// se goal = 1 è goal
		int goal = 0;

		if(coordinate[1]==0 || coordinate[1] == 4){
			goal=0;
		}else if(coordinate[1] != coordinatePortiere[1]){
			goal = 1;
		}

		return goal;
	}

	public static void aCapo(int num) {//il metodo va a capo di 100 righe
		for(int i = 0; i < num; i++) {
			System.out.println("");
		}
	}

	public static void timer(int time){
		try {
				Thread.sleep(time);
       	}catch(InterruptedException ex) {
        }
	}

	public static int x(int x){
		return x;
	}

	public static int y(int y){
		return y;
	}

	public static int askNumber(int min, int max, String question) {
		BufferedReader tastiera = new BufferedReader(new InputStreamReader(System.in));
		String testo = "";
		int valore;
		try {
			while(true) {
				System.out.print(question);
				testo = tastiera.readLine();
				try {
					valore = Integer.parseInt(testo);
					if(valore <= max && valore >= min) {
						break;
					}else {
						System.out.println("Valore non valido: " + valore);
					}
				}catch(NumberFormatException nfe) {
					System.out.println("Valore non valido: " + testo);
				}
			}
			return valore;
		}catch(IOException ioe) {

		}
		return -1;
	}

		//metodo animazione calciatore
	public static void  framePreShoot(String [][] porta, int tiro) {
		//variabile spazi destra prima del giocatore
		int space=4;

		//linee di lontananza dalla palla
		int f=3;

		//for per stampare frame
		for(int o=0; o<5; o++){
			for (int i=0; i<porta.length; i++) {
				for (int j=0; j<porta[i].length; j++) {
					System.out.print(porta[i][j]);
				}
				System.out.println("");
			}
			//stampo palla
			System.out.println("\n\n\t    \u26BD");

			//stampo linee di lontananza dalla porta
			for (int i=0;i<f ;i++) {
				System.out.println(" ");
			}

			//for per l'animazione del giocatore
			for (int i=0;i<space ;i++) {
				System.out.print(" ");
			}

			//disegno la testa
			System.out.println(" O");
			
			//disegno il corpo e le braccia
			for (int i=0;i<space-1 ;i++) {
				System.out.print(" ");
			}
			System.out.println(" -|-");

			//disegno gambe
			for (int i=0;i<space ;i++) {
				System.out.print(" ");
			}
			System.out.println("/ \\");

			//aumento spazi
			space++;

			//diminuisco distanza
			f--;

			//attendo 0.5 secondo
			/*try {
				Thread.sleep(500);
       		}catch(InterruptedException ex) {
        	}*/
        	timer(500);

			//vado a capo per pulire lo schermo
			for (int i=0;i<200 ;i++) {
				System.out.println("");
			}
		}

		int boh=0;
		int distanzaPalla = 1;
		int traiettoria = 0;
		//animazione palla
		for(int o=0; o<2; o++){
			//vado a capo per pulire lo schermo
			for (int i=0;i<200 ;i++) {
				System.out.println("");
			}

			for (int i=0; i<porta.length; i++) {
				for (int j=0; j<porta[i].length; j++) {
					System.out.print(porta[i][j]);
				}
				System.out.println("");
			}
			

			//stampo frame palla
			for(int i = 2; i>distanzaPalla; i--){
				System.out.println("");
			}

			//a dipendenza dalla direzione muovo la palla
			//se traiettoria = 1 devo continuare la traiettoria
			if(traiettoria == 0){
			//1 4 7 a sinistra
			//2 5 8 al centro
			//3 6 9 a destra
				if(tiro == 1 || tiro == 4 || tiro == 7){
					System.out.println("         \u26BD");
					traiettoria++;
				}else if(tiro == 2 || tiro == 5 || tiro == 8){
					System.out.println("\t    \u26BD");
					traiettoria++;
				}else if(tiro == 3 || tiro == 6 || tiro == 9){
					System.out.println("\t\t \u26BD");
					traiettoria++;
				}
			}else{
				if(tiro == 1 || tiro == 4 || tiro == 7){
					System.out.println("     \u26BD");
				}else if(tiro == 2 || tiro == 5 || tiro == 8){
					System.out.println("\t    \u26BD");
				}else if(tiro == 3 || tiro == 6 || tiro == 9){
					System.out.println("\t\t  \u26BD");
				}
			}

			//spazio per fermare il giocatore dopo il tiro
			for (; boh>0 ; boh--) {
				System.out.println("");
			}
			//disegno la testa
			System.out.println("\n 	  O");
			
			//disegno il corpo e le braccia
			for (int i=0;i<space-1 ;i++) {
				System.out.print(" ");
			}
			System.out.println(" -|-");

			//disegno gambe
			for (int i=0;i<space ;i++) {
				System.out.print(" ");
			}
			System.out.println("/ \\");

			//se la traiettoria è a 1 il refresh è più veloce
			if(traiettoria==0){
				//attendo 0.5 secondo
				/*try {
					Thread.sleep(500);
       			}catch(InterruptedException ex) {
        		}*/
        		timer(500);
        	}else{
        		//attendo 0.2 secondo
				/*try {
					Thread.sleep(200);
       			}catch(InterruptedException ex) {
        		}*/
        		timer(200);
        	}

			distanzaPalla++;
			boh++;
		}
	}
	public static int[] goalKeeper(String[][] porta){
		int casuale = (int)((Math.random()*3)+1);
		int[] coord = new int [2];
		
		//seno il portiere è sul palo
		if(casuale == 10){
			casuale--;
		}
		//cancello portiere
        porta[1][2] = "        ";
        porta[2][2] = "        ";
        porta[3][2] = "        ";
		
		//disegno nuovo portiere
		porta[1][casuale] = "   O    ";
       	porta[2][casuale] = "  -|-   ";
   	    porta[3][casuale] = "  / \\   "; 

   	    xy(1,casuale, coord);
   	    return coord;
	}

	//metodo che chiede all utente dove tirare
	public static int askShoot(String [][] porta){
		InputStreamReader input = new InputStreamReader(System.in);
		BufferedReader tastiera = new BufferedReader(input);
		int tiro=0;
		try{
			String position = "";
			while(true){
				try{
					System.out.print("Inserire un numero da 1 a 9(da in alto a sinistra a in basso a destra): ");
					position = tastiera.readLine();
					tiro = Integer.parseInt(position);
					if(tiro >0 && tiro < 10){
						break;
					}else{
						System.out.println("Inserire un numero da 1 a 9");
					}								
				}catch(NumberFormatException nfe){
					System.out.println("Inserire un numero da 1 a 9");
				}
			}
		}catch(IOException ioe){
		}	
		return tiro;
	}

	public static void xy(int x, int y, int[] array){
			array[0] = x;
			array[1] = y;
	}

	//metodo per il tiro in porta scelto dall utente
	public static int[] shoot(String [][] porta, int tiro){
		int[] coord = new int [2];

		//in alto a sinistra
		if(tiro == 1){
			int error = (int)(Math.random()*3);
		 	if(error == 2 || error == 1){
		 		porta[1][0] = "\u26BD";
		 		xy(1, 0, coord);
		 	}else{
		 		porta[1][1] = "  \u26BD     ";
		 		xy(1, 1, coord);
		 	}
		}else if(tiro == 2){	//in alto centrale
			porta[1][2] = "  \u26BD     ";
			xy(1, 2, coord);
		}else if(tiro == 3){	//in alto a destra
			int error = (int)(Math.random()*3);
		 	if(error == 2 || error == 1){
		 		porta[1][4] = "\u26BD     ";
		 		xy(1, 4, coord);
		 	}else{
		 		porta[1][3] = "  \u26BD     ";
		 		xy(1, 3, coord);
		 	}
        }else if(tiro == 4){	//mezz'altezza a sinistra
			int error = (int)(Math.random()*2+1);
		 	if(error == 2){
		 		porta[2][0] = "\u26BD";
		 		xy(2, 0, coord);
		 	}else{
		 		porta[2][1] = "  \u26BD     ";
		 		xy(2, 1, coord);
		 	}
        }else if(tiro == 5){	//mezz'altezza al centro
			porta[2][2] = "  \u26BD     ";
			xy(2, 2, coord);
        }else if(tiro == 6){	//mezz'altezza adestra
			int error = (int)(Math.random()*2+1);
		 	if(error == 2){
		 		porta[2][4] = "\u26BD     ";
		 		xy(2, 4, coord);
		 	}else{
		 		porta[2][3] = "  \u26BD     ";
		 		xy(2, 3, coord);
		 	}
        }else if(tiro == 7){	//basso a sinistra
			int error = (int)(Math.random()*2+1);
		 	if(error == 2){
		 		porta[3][0] = "\u26BD";
		 		xy(3, 0, coord);
		 	}else{
		 		porta[3][1] = "  \u26BD     ";
		 		xy(3, 1, coord);
		 	}
		}else if(tiro == 8){	//basso al centrp
			porta[3][2] = "  \u26BD     ";
			xy(3, 2, coord);
		}else if(tiro == 9){	//basso a destra
		 	int error = (int)(Math.random()*2+1);
		 	if(error == 2){
		 		porta[3][4] = "\u26BD     ";
		 		xy(3, 4, coord);
		 	}else{
		 		porta[3][3] = "  \u26BD     ";
		 		xy(3, 3, coord);
		 	}
		}	
		//vado a capo per pulire lo schermo
		for (int i=0;i<200 ;i++) {
			System.out.println("");
		}
		return coord;
	}	

	//metodo che crea la porta
	public static String [][] createDoor(String[][] porta){

		//"svuoto" l'array inserendo uno spazio come valore
		for (int i=0; i<porta.length; i++) {
			for (int j=0; j<porta[i].length; j++) {
				porta[i][j] = "        ";
			}
			System.out.println("");
		}

		//creo la traversa
		porta[0][0] = "\u2554"; // incrocio sinistro
		porta[0][4] = "\u2557"; // incrocio destro 

		//disegno portiere
		porta[1][2] = "   O    ";
		porta[2][2] = "  -|-   ";
		porta[3][2] = "  / \\   ";

		//crea parte orizzontale della traversa
		for (int i=1; i<4; i++) {
			porta[0][i] = "\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550";
		}

		//creo palo sinistro
		for (int i=1; i<4 ;i++ ) {
			porta[i][0] = "\u2551";
		}

		//creo palo destro
		for (int i=1; i<4 ;i++ ) {
			porta[i][4] = "\u2551";
		}
		
		return porta;
	}

	public static void printMatrice(String [][] porta){
		
		//stampo array
		for (int i=0; i<porta.length; i++) {
			for (int j=0; j<porta[i].length; j++) {
				System.out.print(porta[i][j]);
			}
			System.out.println("");
		}
	}

	public static  void instructions() {//il metodo stampa le istruzioni del gioco
		
		try{
			InputStreamReader input = new InputStreamReader(System.in);
			BufferedReader tastiera = new BufferedReader(input);
			String testo = "";

			aCapo(115);
			System.out.print("**************************************************************** \n");//stampa delle istruzioni
			System.out.print("* Il gioco stamperà una porta da calcio divisa in 9            * \n");
			System.out.print("* settori, l'utente deve scegliere in quale settore tirare     * \n");
			System.out.print("* Attenzione: c'e' un margine d'errore di un settore, quindi   * \n");
			System.out.print("* la palla potrebbe scheggiare il palo. Il gioco si ripeterà   * \n");
			System.out.print("* fino al raggiungimento del punteggio massimo scelto          * \n");
			System.out.print("* dall'utente.                                                 * \n");
			System.out.print("*                     \u2554\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2557                      * \n");
			System.out.print("*                     \u2551  1     2     3  \u2551                      * \n");
			System.out.print("*                     \u2551  4     5     6  \u2551                      * \n");
			System.out.print("*                     \u2551  7     8     9  \u2551                      * \n");
			System.out.print("*                                                              * \n");
			System.out.print("* I quadranti sono suddivisi partendo da in alto a sinistra    * \n");
			System.out.print("* (1) e arrivando in basso a destra (9), come il senso di      * \n");
			System.out.print("* lettura europeo                                              * \n");
			System.out.print("**************************************************************** \n\n");
			
			while(true) {
				System.out.print("Per uscire premere q.\n");//se l'utente preme "q" si chiudono le istruzioni
				System.out.println("Premere 1 per leggere istruzioni ruolo portiere.");
				System.out.print("Scelta:\t");
				
				testo = tastiera.readLine();
				if(testo.equalsIgnoreCase("q")) {
					break;
				}else if(testo.equalsIgnoreCase("1")){
					aCapo(100);
					System.out.print("**************************************************************** \n");//stampa delle istruzioni
					System.out.print("* Se si desidera giocare nel ruolo del portiere occorrerà      * \n");
					System.out.print("* premere un tasto compreso tra 1 e 3.                         * \n");
					System.out.print("* Premendo 1 il portiere si butterà a sinistra.                * \n");
					System.out.print("* Premendo 2 il portiere si butterà al centro.                 * \n");
					System.out.print("* Premendo 3 il portiere si butterà a destra.                  * \n");
					System.out.print("*                     \u2554\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2557                      * \n");
					System.out.print("*                     \u2551  1     2     3  \u2551                      * \n");
					System.out.print("*                     \u2551  1     2     3  \u2551                      * \n");
					System.out.print("*                     \u2551  1     2     3  \u2551                      * \n");
					System.out.print("**************************************************************** \n\n");
				}
			}
		}catch(IOException ioe) {

		}	
	}

	public static int startMenu(){
		int value=0; // numero della scelta nel menu

		InputStreamReader input = new InputStreamReader(System.in);
		BufferedReader tastiera = new BufferedReader(input);

		String valore = ""; //numero del valore digitato dall'utente

		try{
			//while fino a quando la scelta è valida
			while(true){
				try{
					//Scelte del menu
					aCapo(100);
					System.out.println("****************************************************************");
					System.out.println("* Inserire il numero della scelta:                             *");
					System.out.println("* 1. Istruzioni                                                *");
					System.out.println("* 2. Gioca come tiratore                                       *");
					System.out.println("* 3. Gioca come portiere                                       *");
					System.out.println("* 4. Tutorial portiere                                         *");
					System.out.println("* 5. Tutorial tiratore                                         *");
					System.out.println("* 6. Termina gioco                                             *");
					System.out.println("****************************************************************");
					System.out.print("\n Scelta:\t");
					valore = tastiera.readLine();
					value = Integer.parseInt(valore);

					// condizione da rispettare 
					if(value>= 1 && value <= 6){
						break;
					}else{
						System.out.println("Scelta "+valore+" non valida");
					}
				}catch(NumberFormatException nfe){
					System.out.println("Scelta "+valore+" non valida");
				}
			}
		}catch(IOException ioe){
		}
		return value;
	}

	public static int endMenu(){
		InputStreamReader input = new InputStreamReader(System.in);
		BufferedReader tastiera = new BufferedReader(input);
		String testo = "";
		int valore;

		try {
			aCapo(100);
			System.out.println("****************************************************************");
			System.out.println("* Inserire il numero della scelta:                             *");
			System.out.println("* 1. Ripetere                                                  *");
			System.out.println("* 2. Termina gioco                                             *");
			System.out.println("****************************************************************");
			
			while(true){
				try{
					System.out.print("\n Scelta:\t");
					testo = tastiera.readLine();
					valore = Integer.parseInt(testo);
					break;
				}catch(NumberFormatException nfe){

				}
			}
			return valore;
		}catch(IOException ioe) {

		}
		return -1;
	}

	//metodo che posiziona portiere
	public static void positionPortiere(String [][] porta, int [] coordinatePortiere){
		//cancello portiere 
		porta[1][2] = "        ";
		porta[2][2] = "        ";
		porta[3][2] = "        ";

		porta[coordinatePortiere[0]][coordinatePortiere[1]] = "   O    ";
		porta[2][coordinatePortiere[1]] = "  -|-   ";
		porta[3][coordinatePortiere[1]] = "  / \\   ";

	}

	//metodo che fa tirare cpu casualmente
	public static int randomShoot(String [][] porta){
		int tiro=(int)(Math.random()*9);
		return tiro;
	}

	//metodo che chiede all'utente dove buttarsi
	public static int[] portiere(String[][] porta, String question){
		InputStreamReader input = new InputStreamReader(System.in);
		BufferedReader tastiera = new BufferedReader(input);
		String testo = "";
		int valore=0;
		try {
			while(true) {
				System.out.print(question);
				testo = tastiera.readLine();
				try {
					valore = Integer.parseInt(testo);
					if(valore <= 3 && valore >= 1) {
						break;
					}else {
						System.out.println("Valore non valido: " + valore);
					}
				}catch(NumberFormatException nfe) {
					System.out.println("Valore non valido: " + testo);
				}
			}
		}catch(IOException ioe) {

		}
		int casuale = valore;
		int[] coord = new int [2];
		
		//pulisco lo schermo
		aCapo(200);

   	    xy(1,casuale, coord);
   	    return coord;
	}

	//tutorial
	public static void tutorial(){
		//disegno la porta e il calciatore
		String [][] porta = new String[4][5];
		for (int i=0; i<porta.length; i++) {
			for (int j=0; j<porta[i].length; j++) {
				porta[i][j] = "        ";
			}
			System.out.println("");
		}

		//creo la traversa
		porta[0][0] = "\u2554"; // incrocio sinistro
		porta[0][4] = "\u2557"; // incrocio destro 

		//disegno portiere
		porta[1][2] = "   O    ";
		porta[2][2] = "  -|-   ";
		porta[3][2] = "  / \\   ";

		//crea parte orizzontale della traversa
		for (int i=1; i<4; i++) {
			porta[0][i] = "\u2550\u2550\u2550\u2550\u2550\u2550\u2550\u2550";
		}

		//creo palo sinistro
		for (int i=1; i<4 ;i++ ) {
			porta[i][0] = "\u2551";
		}

		//creo palo destro
		for (int i=1; i<4 ;i++ ) {
			porta[i][4] = "\u2551";
		}
		

	}

	public static void main(String[] args){
		int exit =0;
		int scelta = 1;
		int scelta1 = 1;
		int round;
		int quit = 0;
		int[] coordinate = new int[2];
		int[] coordinatePortiere = new int [2];
		
		while(true){
			int cpuPoint =0;
			int plPoint =0;
			while(true){
				scelta= startMenu();	
				if (scelta == 1) {//se l'utente preme 1 si aprono le istruzioni
					instructions();
				}else if(scelta == 2) {//se l'utente preme 2 inizia il gioco
					round = askNumber(1, 5, "Inserire punteggio massimo [1;5]: ");//chiedo il numero di round

					while (true) {
						aCapo(100);
						
						String [][] porta = new String[4][5];
						printMatrice(createDoor(porta));
						int tiro = askShoot(porta);
					
						for(int i=0; i<100; i++){
							System.out.println("");
						}
					
						framePreShoot(porta, tiro);
						coordinatePortiere = goalKeeper(porta);
						coordinate = shoot(porta, tiro);
						printMatrice(porta);	
			
						//stampo distanza giocatore
						for (int i=0 ;i<2 ; i++) {
							System.out.println("");
						}

						//disegno la testa
						System.out.println("\n          O");
				
						//disegno il corpo e le braccia
						for (int i=0;i<8-1 ;i++) {
							System.out.print(" ");
						}
						System.out.println("  -|-");

						//disegno gambe
						for (int i=0;i<8 ;i++) {
							System.out.print(" ");
						}
						System.out.println(" / \\");	

						timer(1000);
						if(isGoal(coordinate, coordinatePortiere) == 1){
							System.out.println("\n\tGOAL!!!");
							plPoint++;
						}else{
							System.out.println("\n\tSBAGLIATO!!!");
							cpuPoint++;
						}
						System.out.println("Player vs CPU: \t"+ plPoint+" : "+cpuPoint);
						timer(3000);
						if (plPoint == round || cpuPoint == round) {
							if(plPoint>cpuPoint){
								System.out.println("Congratulazioni, HAI VINTO!");
							}else{
								System.out.println("Peccato, HAI PERSO!");
							}
							timer(5000);
							break;
						}
					}
					break;
				}else if(scelta == 3) {//se l'utente preme 2 inizia il gioco
					round = askNumber(1, 5, "Inserire punteggio massimo [1;5]: ");//chiedo il numero di round

					while (true) {
						aCapo(100);
						
						String [][] porta = new String[4][5];
						printMatrice(createDoor(porta));
						int tiro = randomShoot(porta);

						coordinatePortiere =  portiere(porta, "\nScegli dove buttarti: \t");
						framePreShoot(porta, tiro);
						positionPortiere(porta, coordinatePortiere);
						coordinate = shoot(porta, tiro);
						printMatrice(porta);	
			
						//stampo distanza giocatore
						for (int i=0 ;i<2 ; i++) {
							System.out.println("");
						}

						//disegno la testa
						System.out.println("\n          O");
				
						//disegno il corpo e le braccia
						for (int i=0;i<8-1 ;i++) {
							System.out.print(" ");
						}
						System.out.println("  -|-");

						//disegno gambe
						for (int i=0;i<8 ;i++) {
							System.out.print(" ");
						}
						System.out.println(" / \\");	

						timer(1000);
						if(isGoal(coordinate, coordinatePortiere) == 1){
							System.out.println("\n\tGOAL!!!");
							cpuPoint++;
						}else{
							System.out.println("\n\tSBAGLIATO!!!");
							plPoint++;
						}
						System.out.println("Player vs CPU: \t"+ plPoint+" : "+cpuPoint);
						timer(3000);
						if (plPoint == round || cpuPoint == round) {
							if(plPoint>cpuPoint){
								System.out.println("Congratulazioni, HAI VINTO!");
							}else{
								System.out.println("Peccato, HAI PERSO!");
							}
							timer(5000);
							break;
						}
					}
					break;	
				}else if(scelta == 6) {
					exit =1;
					break;
				}else if(scelta == 5){
					aCapo(200);
					System.out.println("\t3");
					timer(1000);
					aCapo(200);
					System.out.println("\t2");
					timer(1000);
					aCapo(200);
					System.out.println("\t1");
					timer(1000);
					aCapo(200);
					System.out.println("\tVia");
					timer(1000);
					aCapo(200);
					String [][] matrice = new String[4][5];
					matrice = tutorialCalciatore();
					printMatrice(matrice);
					aCapo(2);
					System.out.println("            \u26BD");
					aCapo(3);
					printPlayer();
					timer(2000);
					System.out.print("Dove vuoi tirare (n° [1;9]):\t");
					timer(2000);
					System.out.println("3");
					timer(2000);
					aCapo(200);
					framePreShoot(matrice, 3);
					aCapo(200);
					printMatrice(matrice);
					System.out.println("               \u26BD");
					aCapo(1);
					printPlayer();
					aCapo(200);
					tiroTutorial(matrice);
					printMatrice(matrice);
					aCapo(3);
					printPlayer();
					timer(1000);
					System.out.println("          GOAL!!");
					timer(2000);
				}else if(scelta == 4){
					aCapo(200);
					System.out.println("\t3");
					timer(1000);
					aCapo(200);
					System.out.println("\t2");
					timer(1000);
					aCapo(200);
					System.out.println("\t1");
					timer(1000);
					aCapo(200);
					System.out.println("\tVia");
					timer(1000);
					aCapo(200);
					String [][] matrice = new String[4][5];
					matrice = tutorialCalciatore();
					printMatrice(matrice);
					aCapo(2);
					System.out.println("            \u26BD");
					aCapo(3);
					printPlayer();
					timer(2000);
					System.out.print("Dove vuoi buttarti (n° [1;3]):\t");
					timer(2000);
					System.out.println("3");
					timer(2000);
					aCapo(200);
					framePreShoot(matrice, 3);
					aCapo(200);
					printMatrice(matrice);
					System.out.println("               \u26BD");
					aCapo(1);
					printPlayer();
					aCapo(200);
					parataTutorial(matrice);
					printMatrice(matrice);
					aCapo(3);
					printPlayer();
					timer(1000);
					System.out.println("          SBAGLIATO!!");
					timer(2000);
				}
			}
			if(exit ==0){
				while(true){
					scelta1= endMenu();	
					if (scelta1 == 1) {//se l'utente preme 1 riinizia il gioco
						break;
					}else if(scelta1 == 2) {//se l'utente preme 2 finisce il gioco
						quit = 1;
						break;
					}
				}
			}else{
				break;
			}
			if(quit==1){
				break;
			}
		}			
	}
} 